Changeset 7679:62519ce566fd in orange


Ignore:
Timestamp:
02/15/11 15:36:50 (3 years ago)
Author:
mitar
Branch:
default
Convert:
21c3b30e19b38dda811b3ad6f00005ddac076879
Message:

Updated all other daily building Mac OS X scripts for new server.

Location:
install-scripts/mac
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • install-scripts/mac/bundle-daily-build.sh

    r6982 r7679  
    2121 
    2222# Defaults are current latest revisions in stable branch and trunk 
    23 STABLE_REVISION_1=${1:-`svn info --non-interactive http://www.ailab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     23STABLE_REVISION_1=${1:-`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    2424# svn info does not return proper exit status on an error so we check it this way 
    2525[ "$STABLE_REVISION_1" ] || exit 3 
    26 STABLE_REVISION_2=${1:-`svn info --non-interactive http://www.ailab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     26STABLE_REVISION_2=${1:-`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    2727# svn info does not return proper exit status on an error so we check it this way 
    2828[ "$STABLE_REVISION_2" ] || exit 3 
     
    3232    STABLE_REVISION=$STABLE_REVISION_2 
    3333fi 
    34 DAILY_REVISION_1=${2:-`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     34DAILY_REVISION_1=${2:-`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    3535# svn info does not return proper exit status on an error so we check it this way 
    3636[ "$DAILY_REVISION_1" ] || exit 4 
    37 DAILY_REVISION_2=${2:-`svn info --non-interactive http://www.ailab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     37DAILY_REVISION_2=${2:-`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    3838# svn info does not return proper exit status on an error so we check it this way 
    3939[ "$DAILY_REVISION_2" ] || exit 4 
     
    5757if [ ! -e /Volumes/download/orange-bundle-1.0b.$STABLE_REVISION.dmg ]; then 
    5858    echo "Downloading bundle template." 
    59     svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/externals/branches/ver1.0/install-scripts/mac/bundle/ /private/tmp/bundle/ 
     59    svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/externals/branches/ver1.0/install-scripts/mac/bundle/ /private/tmp/bundle/ 
    6060     
    6161    echo "Downloading Orange stable source code revision $STABLE_REVISION." 
    62     svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/orange/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/ 
    63     svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/source/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/source/ 
    64     svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/add-ons/orngCRS/src/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/source/crs/ 
    65      
    66     [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/COPYING ] || svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/COPYING 
    67     [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/LICENSES ] || svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/LICENSES 
     62    svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/orange/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/ 
     63    svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/source/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/source/ 
     64    svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/add-ons/orngCRS/src/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/source/crs/ 
     65     
     66    [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/COPYING ] || svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/COPYING 
     67    [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/LICENSES ] || svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/doc/LICENSES 
    6868     
    6969    ln -s ../Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/ /private/tmp/bundle/Orange.app/Contents/Resources/orange 
     
    100100    for addon in $STABLE_ADDONS ; do 
    101101        echo "Downloading Orange add-on $addon stable source code revision $STABLE_REVISION." 
    102         svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/add-ons/$addon/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/ 
    103          
    104         [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/COPYING ] || svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/COPYING 
    105         [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/LICENSES ] || svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/LICENSES 
     102        svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/add-ons/$addon/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/ 
     103         
     104        [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/COPYING ] || svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/COPYING 
     105        [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/LICENSES ] || svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/doc/LICENSES 
    106106         
    107107        if [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/orange/add-ons/$addon/source/ ]; then 
     
    170170if [ ! -e /Volumes/download/orange-bundle-svn-0.0.$DAILY_REVISION.dmg ]; then 
    171171    echo "Downloading bundle template." 
    172     #svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/externals/trunk/install-scripts/mac/bundle/ /private/tmp/bundle/ 
     172    #svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/externals/trunk/install-scripts/mac/bundle/ /private/tmp/bundle/ 
    173173    mkdir /private/tmp/bundle 
    174174    tar -xf /Volumes/download/bundle-templates/Orange.app.tar.gz -C /private/tmp/bundle 
    175175     
    176176    echo "Downloading Orange daily source code revision $DAILY_REVISION." 
    177     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/orange/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/ 
    178     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/source/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/source/ 
    179     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/add-ons/orngCRS/src/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/source/crs/ 
    180      
    181     [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/COPYING ] || svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/COPYING 
    182     [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/LICENSES ] || svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/LICENSES 
     177    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/orange/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/ 
     178    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/source/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/source/ 
     179    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/add-ons/orngCRS/src/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/source/crs/ 
     180     
     181    [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/COPYING ] || svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/COPYING 
     182    [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/LICENSES ] || svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/doc/LICENSES 
    183183     
    184184    ln -s ../Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/ /private/tmp/bundle/Orange.app/Contents/Resources/orange 
     
    215215    for addon in $DAILY_ADDONS ; do 
    216216        echo "Downloading Orange add-on $addon daily source code revision $DAILY_REVISION." 
    217         svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/add-ons/$addon/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/ 
    218          
    219         [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/COPYING ] || svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/COPYING 
    220         [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/LICENSES ] || svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/LICENSES 
     217        svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/add-ons/$addon/ /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/ 
     218         
     219        [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/COPYING ] || svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/COPYING /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/COPYING 
     220        [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/LICENSES ] || svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/LICENSES /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/doc/LICENSES 
    221221         
    222222        if [ -e /private/tmp/bundle/Orange.app/Contents/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/orange/add-ons/$addon/source/ ]; then 
  • install-scripts/mac/dailyrun-bundleonly.sh

    r6532 r7679  
    88defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    99 
    10 [ -e /Volumes/download/ ] || { open "smb://orange@193.2.72.35/download/"; sleep 30; } 
     10if [ ! -e /Volumes/download/ ]; then 
     11    mkdir -p /Volumes/download/ 
     12    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) download@biolab.si: /Volumes/download/ 
     13fi 
    1114 
    1215/Users/ailabc/bundle-daily-build.sh &> /private/tmp/bundle-daily-build.log 
  • install-scripts/mac/dailyrun-finkonly-withsource.sh

    r6541 r7679  
    44# 
    55 
    6 STABLE_REVISION_1=`svn info --non-interactive http://www.ailab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     6STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    77# svn info does not return proper exit status on an error so we check it this way 
    88[ "$STABLE_REVISION_1" ] || exit 1 
    9 STABLE_REVISION_2=`svn info --non-interactive http://www.ailab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     9STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    1010# svn info does not return proper exit status on an error so we check it this way 
    1111[ "$STABLE_REVISION_2" ] || exit 1 
     
    1717fi 
    1818 
    19 DAILY_REVISION_1=`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     19DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    2020# svn info does not return proper exit status on an error so we check it this way 
    2121[ "$DAILY_REVISION_1" ] || exit 1 
    22 DAILY_REVISION_2=`svn info --non-interactive http://www.ailab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     22DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    2323# svn info does not return proper exit status on an error so we check it this way 
    2424[ "$DAILY_REVISION_2" ] || exit 1 
     
    3434defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    3535 
    36 [ -e /Volumes/fink/ ] || { open "smb://orange@193.2.72.35/fink/"; sleep 30; } 
    37 [ -e /Volumes/download/ ] || { open "smb://orange@193.2.72.35/download/"; sleep 30; } 
     36if [ ! -e /Volumes/fink/ ]; then 
     37    mkdir -p /Volumes/fink/ 
     38    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) fink@biolab.si: /Volumes/fink/ 
     39fi 
     40if [ ! -e /Volumes/download/ ]; then 
     41    mkdir -p /Volumes/download/ 
     42    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) download@biolab.si: /Volumes/download/ 
     43fi 
    3844 
    3945/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/fink-daily-build.log 
  • install-scripts/mac/dailyrun-finkonly.sh

    r6532 r7679  
    88defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    99 
    10 [ -e /Volumes/fink/ ] || { open "smb://orange@193.2.72.35/fink/"; sleep 30; } 
    11 [ -e /Volumes/download/ ] || { open "smb://orange@193.2.72.35/download/"; sleep 30; } 
     10if [ ! -e /Volumes/fink/ ]; then 
     11    mkdir -p /Volumes/fink/ 
     12    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) fink@biolab.si: /Volumes/fink/ 
     13fi 
     14if [ ! -e /Volumes/download/ ]; then 
     15    mkdir -p /Volumes/download/ 
     16    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) download@biolab.si: /Volumes/download/ 
     17fi 
    1218 
    1319/Users/ailabc/fink-daily-build.sh &> /private/tmp/fink-daily-build.log 
  • install-scripts/mac/dailyrun.sh

    r6541 r7679  
    44# 
    55 
    6 STABLE_REVISION_1=`svn info --non-interactive http://www.ailab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     6STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    77# svn info does not return proper exit status on an error so we check it this way 
    88[ "$STABLE_REVISION_1" ] || exit 1 
    9 STABLE_REVISION_2=`svn info --non-interactive http://www.ailab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     9STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    1010# svn info does not return proper exit status on an error so we check it this way 
    1111[ "$STABLE_REVISION_2" ] || exit 1 
     
    1717fi 
    1818 
    19 DAILY_REVISION_1=`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     19DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    2020# svn info does not return proper exit status on an error so we check it this way 
    2121[ "$DAILY_REVISION_1" ] || exit 1 
    22 DAILY_REVISION_2=`svn info --non-interactive http://www.ailab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     22DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    2323# svn info does not return proper exit status on an error so we check it this way 
    2424[ "$DAILY_REVISION_2" ] || exit 1 
     
    3434defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    3535 
    36 [ -e /Volumes/fink/ ] || { open "smb://orange@193.2.72.35/fink/"; sleep 30; } 
    37 [ -e /Volumes/download/ ] || { open "smb://orange@193.2.72.35/download/"; sleep 30; } 
     36if [ ! -e /Volumes/fink/ ]; then 
     37    mkdir -p /Volumes/fink/ 
     38    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) fink@biolab.si: /Volumes/fink/ 
     39fi 
     40if [ ! -e /Volumes/download/ ]; then 
     41    mkdir -p /Volumes/download/ 
     42    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) download@biolab.si: /Volumes/download/ 
     43fi 
    3844 
    3945/Users/ailabc/bundle-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/bundle-daily-build.log 
  • install-scripts/mac/fink-daily-build.sh

    r6964 r7679  
    9292if [ $PACKAGE_SOURCE ]; then 
    9393    # Defaults are current latest revisions in stable branch and trunk 
    94     STABLE_REVISION=${1:-`svn info --non-interactive http://www.ailab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     94    STABLE_REVISION=${1:-`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    9595    # svn info does not return proper exit status on an error so we check it this way 
    9696    [ "$STABLE_REVISION" ] || exit 9 
    97     DAILY_REVISION=${2:-`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     97    DAILY_REVISION=${2:-`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    9898    # svn info does not return proper exit status on an error so we check it this way 
    9999    [ "$DAILY_REVISION" ] || exit 10 
    100100fi 
    101101 
    102 echo "Preparing local ailab Fink info files repository." 
    103 mkdir -p $FINK_ROOT/fink/dists/ailab/main/finkinfo/ 
    104 rm -f $FINK_ROOT/fink/dists/ailab/main/finkinfo/* 
     102echo "Preparing local biolab Fink info files repository." 
     103mkdir -p $FINK_ROOT/fink/dists/biolab/main/finkinfo/ 
     104rm -f $FINK_ROOT/fink/dists/biolab/main/finkinfo/* 
    105105if [ $PACKAGE_SOURCE ]; then     
    106106    # Gets Fink package info files from SVN 
    107     svn export --force --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/install-scripts/mac/fink/ $FINK_ROOT/fink/dists/ailab/main/finkinfo/ 
     107    svn export --force --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/install-scripts/mac/fink/ $FINK_ROOT/fink/dists/biolab/main/finkinfo/ 
    108108     
    109109    # Injects revision versions into templates 
    110     perl -pi -e "s/__STABLE_REVISION__/$STABLE_REVISION/g" $FINK_ROOT/fink/dists/ailab/main/finkinfo/*.info 
    111     perl -pi -e "s/__DAILY_REVISION__/$DAILY_REVISION/g" $FINK_ROOT/fink/dists/ailab/main/finkinfo/*.info 
     110    perl -pi -e "s/__STABLE_REVISION__/$STABLE_REVISION/g" $FINK_ROOT/fink/dists/biolab/main/finkinfo/*.info 
     111    perl -pi -e "s/__DAILY_REVISION__/$DAILY_REVISION/g" $FINK_ROOT/fink/dists/biolab/main/finkinfo/*.info 
    112112else 
    113113    # Gets current (daily) info files from SVN 
    114     echo "Updating local ailab Fink info files repository." 
    115     curl "http://www.ailab.si/orange/fink/dists/10.$MAC_VERSION/main/finkinfo/all.tgz" --output $FINK_ROOT/fink/dists/ailab/main/finkinfo/all.tgz 
    116     tar -xzf $FINK_ROOT/fink/dists/ailab/main/finkinfo/all.tgz -C $FINK_ROOT/fink/dists/ailab/main/finkinfo/ 
    117     rm -f $FINK_ROOT/fink/dists/ailab/main/finkinfo/all.tgz 
    118 fi 
    119  
    120 if ! grep '^Trees:' $FINK_ROOT/etc/fink.conf | grep -q 'ailab/main'; then 
    121     echo "Adding local ailab Fink info files repository to Fink configuration." 
    122     perl -p -i -l -e '$_ = "$_ ailab/main" if /^Trees/' $FINK_ROOT/etc/fink.conf 
     114    echo "Updating local biolab Fink info files repository." 
     115    curl "http://orange.biolab.si/orange/fink/dists/10.$MAC_VERSION/main/finkinfo/all.tgz" --output $FINK_ROOT/fink/dists/biolab/main/finkinfo/all.tgz 
     116    tar -xzf $FINK_ROOT/fink/dists/biolab/main/finkinfo/all.tgz -C $FINK_ROOT/fink/dists/biolab/main/finkinfo/ 
     117    rm -f $FINK_ROOT/fink/dists/biolab/main/finkinfo/all.tgz 
     118fi 
     119 
     120if ! grep '^Trees:' $FINK_ROOT/etc/fink.conf | grep -q 'biolab/main'; then 
     121    echo "Adding local biolab Fink info files repository to Fink configuration." 
     122    perl -p -i -l -e '$_ = "$_ biolab/main" if /^Trees/' $FINK_ROOT/etc/fink.conf 
    123123fi 
    124124 
    125125# Adds our binary repository to local Fink (APT) configuration 
    126 if ! grep -q "deb http://www.ailab.si/orange/fink 10.$MAC_VERSION main" $FINK_ROOT/etc/apt/sources.list; then 
    127     echo "Adding ailab Fink binary packages repository to Fink configuration." 
    128     echo "deb http://www.ailab.si/orange/fink 10.$MAC_VERSION main" >> $FINK_ROOT/etc/apt/sources.list 
     126if ! grep -q "deb http://orange.biolab.si/orange/fink 10.$MAC_VERSION main" $FINK_ROOT/etc/apt/sources.list; then 
     127    echo "Adding biolab Fink binary packages repository to Fink configuration." 
     128    echo "deb http://orange.biolab.si/orange/fink 10.$MAC_VERSION main" >> $FINK_ROOT/etc/apt/sources.list 
    129129fi 
    130130 
     
    143143        rm -rf /tmp/orange-1.0b.$STABLE_REVISION/ /tmp/orange-1.0b.$STABLE_REVISION.tgz 
    144144         
    145         svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/orange/ /tmp/orange-1.0b.$STABLE_REVISION/ 
    146         svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/source/ /tmp/orange-1.0b.$STABLE_REVISION/source/ 
    147         svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/add-ons/orngCRS/src/ /tmp/orange-1.0b.$STABLE_REVISION/source/crs/ 
    148         svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/COPYING /tmp/orange-1.0b.$STABLE_REVISION/COPYING 
    149         svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/LICENSES /tmp/orange-1.0b.$STABLE_REVISION/LICENSES 
     145        svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/orange/ /tmp/orange-1.0b.$STABLE_REVISION/ 
     146        svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/source/ /tmp/orange-1.0b.$STABLE_REVISION/source/ 
     147        svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/add-ons/orngCRS/src/ /tmp/orange-1.0b.$STABLE_REVISION/source/crs/ 
     148        svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/COPYING /tmp/orange-1.0b.$STABLE_REVISION/COPYING 
     149        svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/LICENSES /tmp/orange-1.0b.$STABLE_REVISION/LICENSES 
    150150         
    151151        [ -e /tmp/orange-1.0b.$STABLE_REVISION/doc/COPYING ] && mv /tmp/orange-1.0b.$STABLE_REVISION/doc/COPYING /tmp/orange-1.0b.$STABLE_REVISION/ 
     
    170170    fi 
    171171     
    172     perl -pi -e "s/__STABLE_MD5SUM_ORANGE__/$MD5SUM/g" $FINK_ROOT/fink/dists/ailab/main/finkinfo/*.info 
     172    perl -pi -e "s/__STABLE_MD5SUM_ORANGE__/$MD5SUM/g" $FINK_ROOT/fink/dists/biolab/main/finkinfo/*.info 
    173173     
    174174    if [ ! -e /Volumes/fink/dists/10.$MAC_VERSION/main/source/orange-svn-0.0.$DAILY_REVISION.tgz ]; then 
     
    177177        rm -rf /tmp/orange-svn-0.0.$DAILY_REVISION/ /tmp/orange-svn-0.0.$DAILY_REVISION.tgz 
    178178         
    179         svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/orange/ /tmp/orange-svn-0.0.$DAILY_REVISION/ 
    180         svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/source/ /tmp/orange-svn-0.0.$DAILY_REVISION/source/ 
    181         svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/add-ons/orngCRS/src/ /tmp/orange-svn-0.0.$DAILY_REVISION/source/crs/ 
    182         svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/COPYING /tmp/orange-svn-0.0.$DAILY_REVISION/COPYING 
    183         svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/LICENSES /tmp/orange-svn-0.0.$DAILY_REVISION/LICENSES 
     179        svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/orange/ /tmp/orange-svn-0.0.$DAILY_REVISION/ 
     180        svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/source/ /tmp/orange-svn-0.0.$DAILY_REVISION/source/ 
     181        svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/add-ons/orngCRS/src/ /tmp/orange-svn-0.0.$DAILY_REVISION/source/crs/ 
     182        svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/COPYING /tmp/orange-svn-0.0.$DAILY_REVISION/COPYING 
     183        svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/LICENSES /tmp/orange-svn-0.0.$DAILY_REVISION/LICENSES 
    184184         
    185185        [ -e /tmp/orange-svn-0.0.$DAILY_REVISION/doc/COPYING ] && mv /tmp/orange-svn-0.0.$DAILY_REVISION/doc/COPYING /tmp/orange-svn-0.0.$DAILY_REVISION/ 
     
    204204    fi 
    205205     
    206     perl -pi -e "s/__DAILY_MD5SUM_ORANGE__/$MD5SUM/g" $FINK_ROOT/fink/dists/ailab/main/finkinfo/*.info 
     206    perl -pi -e "s/__DAILY_MD5SUM_ORANGE__/$MD5SUM/g" $FINK_ROOT/fink/dists/biolab/main/finkinfo/*.info 
    207207     
    208208    for dir in $STABLE_SOURCE_DIRS ; do 
     
    217217            rm -rf /tmp/$STABLE_SOURCE_NAME/ /tmp/$STABLE_SOURCE_NAME.tgz 
    218218             
    219             svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/$dir /tmp/$STABLE_SOURCE_NAME/ 
    220             svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/COPYING /tmp/$STABLE_SOURCE_NAME/COPYING 
    221             svn export --non-interactive --revision $STABLE_REVISION http://www.ailab.si/svn/orange/branches/ver1.0/LICENSES /tmp/$STABLE_SOURCE_NAME/LICENSES 
     219            svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/$dir /tmp/$STABLE_SOURCE_NAME/ 
     220            svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/COPYING /tmp/$STABLE_SOURCE_NAME/COPYING 
     221            svn export --non-interactive --revision $STABLE_REVISION http://orange.biolab.si/svn/orange/branches/ver1.0/LICENSES /tmp/$STABLE_SOURCE_NAME/LICENSES 
    222222             
    223223            [ -e /tmp/$STABLE_SOURCE_NAME/doc/COPYING ] && mv /tmp/$STABLE_SOURCE_NAME/doc/COPYING /tmp/$STABLE_SOURCE_NAME/ 
     
    240240        fi 
    241241         
    242         perl -pi -e "s/__STABLE_MD5SUM_\U$SOURCE_NAME\E__/$MD5SUM/g" $FINK_ROOT/fink/dists/ailab/main/finkinfo/*.info 
     242        perl -pi -e "s/__STABLE_MD5SUM_\U$SOURCE_NAME\E__/$MD5SUM/g" $FINK_ROOT/fink/dists/biolab/main/finkinfo/*.info 
    243243    done 
    244244     
     
    254254            rm -rf /tmp/$DAILY_SOURCE_NAME/ /tmp/$DAILY_SOURCE_NAME.tgz 
    255255             
    256             svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/$dir /tmp/$DAILY_SOURCE_NAME/ 
    257             svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/COPYING /tmp/$DAILY_SOURCE_NAME/COPYING 
    258             svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/LICENSES /tmp/$DAILY_SOURCE_NAME/LICENSES 
     256            svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/$dir /tmp/$DAILY_SOURCE_NAME/ 
     257            svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/COPYING /tmp/$DAILY_SOURCE_NAME/COPYING 
     258            svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/LICENSES /tmp/$DAILY_SOURCE_NAME/LICENSES 
    259259             
    260260            [ -e /tmp/$DAILY_SOURCE_NAME/doc/COPYING ] && mv /tmp/$DAILY_SOURCE_NAME/doc/COPYING /tmp/$DAILY_SOURCE_NAME/ 
     
    277277        fi 
    278278         
    279         perl -pi -e "s/__DAILY_MD5SUM_\U$SOURCE_NAME\E__/$MD5SUM/g" $FINK_ROOT/fink/dists/ailab/main/finkinfo/*.info 
     279        perl -pi -e "s/__DAILY_MD5SUM_\U$SOURCE_NAME\E__/$MD5SUM/g" $FINK_ROOT/fink/dists/biolab/main/finkinfo/*.info 
    280280    done 
    281281fi 
     
    368368fink $FINK_ARGS cleanup --all 
    369369 
    370 echo "Preparing public ailab Fink info and binary files repository." 
     370echo "Preparing public biolab Fink info and binary files repository." 
    371371mkdir -p /Volumes/fink/dists/10.$MAC_VERSION/main/binary-darwin-$ARCH/ 
    372372chmod +rx /Volumes/fink/dists/10.$MAC_VERSION/main/binary-darwin-$ARCH/ 
     
    411411perl -MFink::Scanpackages -e "Fink::Scanpackages->scan('dists/10.$MAC_VERSION/main/binary-darwin-$ARCH/');" | gzip - > dists/10.$MAC_VERSION/main/binary-darwin-$ARCH/Packages.gz 
    412412 
    413 echo "Archive: ailab 
     413echo "Archive: biolab 
    414414Origin: Fink 
    415415Component: main 
     
    422422echo "Copying to repository all info files." 
    423423rm -f /Volumes/fink/dists/10.$MAC_VERSION/main/finkinfo/* 
    424 cp $FINK_ROOT/fink/dists/ailab/main/finkinfo/* /Volumes/fink/dists/10.$MAC_VERSION/main/finkinfo/ 
     424cp $FINK_ROOT/fink/dists/biolab/main/finkinfo/* /Volumes/fink/dists/10.$MAC_VERSION/main/finkinfo/ 
    425425 
    426426echo "Making an archive of all info files." 
    427 cd $FINK_ROOT/fink/dists/ailab/main/finkinfo/ 
     427cd $FINK_ROOT/fink/dists/biolab/main/finkinfo/ 
    428428tar -czf /Volumes/fink/dists/10.$MAC_VERSION/main/finkinfo/all.tgz * 
    429429 
  • install-scripts/mac/fink-restore-selections.sh

    r6533 r7679  
    1010 
    1111dpkg --get-selections '*' | cut -f 1 | xargs -n 1 -J % echo % purge | dpkg --set-selections 
    12 curl http://www.ailab.si/svn/orange/trunk/install-scripts/mac/fink-selections.list | dpkg --set-selections 
     12curl http://orange.biolab.si/svn/orange/trunk/install-scripts/mac/fink-selections.list | dpkg --set-selections 
    1313apt-get --assume-yes dselect-upgrade 
  • install-scripts/mac/force-fink-daily-build.sh

    r6541 r7679  
    66# 
    77 
    8 STABLE_REVISION_1=`svn info --non-interactive http://www.ailab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     8STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    99# svn info does not return proper exit status on an error so we check it this way 
    1010[ "$STABLE_REVISION_1" ] || exit 1 
    11 STABLE_REVISION_2=`svn info --non-interactive http://www.ailab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     11STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    1212# svn info does not return proper exit status on an error so we check it this way 
    1313[ "$STABLE_REVISION_2" ] || exit 1 
     
    1919fi 
    2020 
    21 DAILY_REVISION_1=`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     21DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    2222# svn info does not return proper exit status on an error so we check it this way 
    2323[ "$DAILY_REVISION_1" ] || exit 1 
    24 DAILY_REVISION_2=`svn info --non-interactive http://www.ailab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     24DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    2525# svn info does not return proper exit status on an error so we check it this way 
    2626[ "$DAILY_REVISION_2" ] || exit 1 
     
    3434defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    3535 
    36 [ -e /Volumes/fink/ ] || { open "smb://orange@193.2.72.35/fink/"; sleep 30; } 
    37 [ -e /Volumes/download/ ] || { open "smb://orange@193.2.72.35/download/"; sleep 30; } 
     36if [ ! -e /Volumes/fink/ ]; then 
     37    mkdir -p /Volumes/fink/ 
     38    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) fink@biolab.si: /Volumes/fink/ 
     39fi 
     40if [ ! -e /Volumes/download/ ]; then 
     41    mkdir -p /Volumes/download/ 
     42    /Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) download@biolab.si: /Volumes/download/ 
     43fi 
    3844 
    3945/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION 
Note: See TracChangeset for help on using the changeset viewer.